rem Perlの実行のbat
rem run.bat
@rem 内容が古くなっているかもしれないので
@rem その場合は修正して使用して下さい
@rem パスが通っている場合

@echo off
title Perl の実行

if /i "%~1" == "" (
	echo パラメータが無いので終了します。
	goto end
) else (
	if /i "%~x1" == ".pl" (
		goto run
	) else (
		echo Perlのスクリプトファイルではありません。終了します。
		goto end
	)
)
pause


:run
echo Perlスクリプト実行
echo.

echo perl %~nx1
echo.

%~d1
cd "%~p1"

echo #### 開始 ####
perl "%~nx1"
echo.
echo #### 終了 ####


:end
echo.
echo.
pause
exit
@rem このスクリプトは著作権者のtytyさんの意向で
@rem NYSLとしています
@rem NYSL Version 0.9982